summaryrefslogtreecommitdiff
path: root/tools/scan-build/bin/scan-build
diff options
context:
space:
mode:
Diffstat (limited to 'tools/scan-build/bin/scan-build')
-rwxr-xr-xtools/scan-build/bin/scan-build4
1 files changed, 2 insertions, 2 deletions
diff --git a/tools/scan-build/bin/scan-build b/tools/scan-build/bin/scan-build
index c50f900cc4..88420ef94d 100755
--- a/tools/scan-build/bin/scan-build
+++ b/tools/scan-build/bin/scan-build
@@ -1192,7 +1192,7 @@ OPTIONS:
By default, the exit status of scan-build is the same as the executed build
command. Specifying this option causes the exit status of scan-build to be 1
- if it found potential bugs and 0 otherwise.
+ if it found potential bugs and the exit status of the build itself otherwise.
--use-cc [compiler path]
--use-cc=[compiler path]
@@ -1878,7 +1878,7 @@ if (defined $Options{OutputFormat}) {
if ($Options{ExitStatusFoundBugs}) {
exit 1 if ($NumBugs > 0);
- exit 0;
+ exit $ExitStatus;
}
}
}